Search Gradle plugins

com.vaadin

Build Vaadin applications with Gradle. Please follow the link below to learn which Plugin version to use with particular Vaadin version. Vaadin recommends using the latest Vaadin LTS version.

https://vaadin.com/docs/latest/guide/start/gradle

Sources: https://github.com/vaadin/vaadin-gradle-plugin

Version 22.0.24

22.0.24

Created 10 O 2022.

Build Vaadin applications with Gradle. As of Vaadin 20+, the gradle plugin is released as part of the Vaadin Platform with the same version. For older versions, please follow the link below to learn which Plugin version to use with particular Vaadin version. Vaadin recommends using the latest Vaadin LTS version.

Using the plugins DSL:

plugins {
  id("com.vaadin") version "22.0.24"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.vaadin:vaadin-gradle-plugin:22.0.24")
  }
}

apply(plugin = "com.vaadin")

Using the plugins DSL:

plugins {
  id "com.vaadin" version "22.0.24"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.vaadin:vaadin-gradle-plugin:22.0.24"
  }
}

apply plugin: "com.vaadin"

Learn how to apply plugins to subprojects